UNSOLVED MetricsMachine V 4.0.7 VS V 1.1.0



  • Hello. I'm using MetricsMachine Version 4.0.7 (4.0.7) on RF 1 + RF 3.4. I'm experiencing some funny issues.

    1. Shall I purchase version 1.1.0 instead?
    2. Is there an upgrade option?
    3. Does it work with both RF 1 and RF 3.4?

    Thank you.



  • hello @MNT,

    MetricsMachine 4.0.7 is a standalone application that reads and writes UFO2 files. like RF1, this app is now retired.

    MetricsMachine 1.1.0 is a rewrite of MM as RoboFont 3 extension. it reads and writes UFO3 files.

    if you are still using RF1 and UFO2, it’s fine to use the old MM 4.0.7.

    if you are using RF3 and UFO3, use the new MM extension instead.

    don’t switch back and forth between RF1 / UFO2 and RF3 / UFO3, this may lead to problems during conversion.

    hope this helps!



  • Currently MM 1.1.0 is not working for my RF 3.4 as well as Skateboard. What can be done?

    Cannot load extension 'MetricsMachine': Not a valid extension (MetricsMachine.roboFontExt).
    Cannot load extension 'Skateboard': Not a valid extension (Skateboard.roboFontExt).
    


  • @jansindl3r this usually means that your license is expired. (you were probably using a trial or student license)



  • @gferreira this is a bit weird, because it works in 3.3 and yes, it is a student license.



  • @gferreira Great. Thank you for your reply.


  • admin

    @jansindl3r That is possible... there were some bug fixed related to trial and student versions of extensions. Will send @erik new student licenses for MM and PP.

    @erik will need to compile a fresh version of Skateboard for students

    ( @tal )


Log in to reply